### Class

# JavaScriptCore VirtualMachine

#### Description [src]

    final class JavaScriptCore.VirtualMachine : GObject.Object
    {
      /* No available fields */
    }

JSCVirtualMachine represents a group of JSCContexts. It allows concurrent JavaScript execution by creating a different instance of JSCVirtualMachine in each thread.

To create a group of JSCContexts pass the same JSCVirtualMachine instance to every JSCContext constructor.

#### Ancestors

- GObject

#### Constructors

###### jsc_virtual_machine_new

Create a new `JSCVirtualMachine`.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct JavaScriptCoreVirtualMachineClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.